<!--
  @File Name          : listedestache.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 03/06/2020 à 11:59:15
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    03/06/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
  <div class="slds-box slds-theme_shade">
    <center class="bienvenue" style="font-size: 188%;
    margin-block-start: 3%;
    font-family: cursive;
    font-style: italic;
    color: navy;">
      <p><b> Ticket Tables Assigned To The User Story "{DetailUserStory.Name}"</b></p><br/><br/>
      </center>
      <lightning-breadcrumbs style=" margin-block-end: -2%;">
        <lightning-breadcrumb
        label={DetailProjet.Name}
        href="path/to/place/1"
        onclick={handleNavigateToProjet}>
    </lightning-breadcrumb>
          <lightning-breadcrumb
              label={DetailUserStory.Name} style="font-size: 116%;
              font-weight: 700;color: black;">
          </lightning-breadcrumb>
          <lightning-breadcrumb if:true={showpages}
          label={record.Name} style="font-size: 116%;
          font-weight: 700;color: black;">
      </lightning-breadcrumb>
      </lightning-breadcrumbs>
      <lightning-button class="btt_ajouter" icon-name="utility:add" style="margin-left: 49%;" label="Add Ticket" variat="brand" onclick={openmodal} ></lightning-button>
      <template if:true={openmodel}>
      <div class="demo-only">
          <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
              <div class="slds-modal__container">
                  <header class="slds-modal__header">
                      <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                          <lightning-icon icon-name="utility:close" size="medium">
                          </lightning-icon>
                          <span class="slds-assistive-text">Close</span>
                      </button>
                      <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Add a Ticket</h2>
                  </header>
                  <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">     
    <table>
      <tr>
        <td>
          <p>User Story Name:</p>
        </td>
        <td>
          <lightning-input type="text" label=" "  required ="required"   value={DetailUserStory.Name}  disabled ></lightning-input>
        </td>
      </tr>
      <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
      <TR></TR>
        <tr>
          <td>
            <p>Ticket Name:</p>
          </td>
          <td>
            <lightning-input type="text" label=" " required ="required"  onchange={handleNameTicketchange} value={TicketRecord.Name} placeholder="type here..."></lightning-input>
          </td>
        </tr>
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
          <td>
            <p>Description:</p>
          </td>
          <td>
              <lightning-input type="text" label=" "  required ="required"  onchange={handleDescriptionchange} value={TicketRecord.Description__c}  placeholder="type here..."></lightning-input>
          </td>
        </tr> 
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
        <tr>
          <td>
            <p>State:</p>
          </td>
          <td> 
            <lightning-combobox name="tat__c" 
            label=" " value={value} placeholder="-Select-"
            options={pickListvalues} onchange={handleetatchange}>
        </lightning-combobox>
          </td>
        </tr> 
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
          <tr>
          <td>
          <p>Estimated Working Time: </p>
          </td>
          <td>
            <lightning-input type="number" onchange={handleTempschange} value={TicketRecord.Temps_R_el__c} ></lightning-input> H
          </td>
          </tr> 
      </table>
    </div>
    <footer class="slds-modal__footer">
        <lightning-button label="Cancel" variant="neutral" onclick={closeModal}></lightning-button>
        <lightning-button label="Save" variant="brand" onclick={saveMethod}></lightning-button>
    </footer>
    </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
    </div>
    </template>
    <div style="    margin-block-start: 3px;
    margin-right: 39%;">
    <template if:true={data}>
      <lightning-datatable data={data}
                          columns={columns}
                          key-field="id"
                          hide-checkbox-column="true"
                          onrowaction={handleRowActions}></lightning-datatable>
    </template>
    </div>
  </div>
</template>